
---------------------------------------------------------------------------------
-- Metadata Updates
---------------------------------------------------------------------------------
--Defect S0641072
update fcm_field_definition set field_name = 'grp_sys_block_1_until_date'
where field_name = 'gro_sys_block_1_until_date' and
segment_id = (select segment_id  from FCM_SEGMENT_DEFINITION  where 
segment_acronym = 'GRP');

update fcm_field_definition set field_name = 'grp_sys_block_2_until_date'
where field_name = 'gro_sys_block_2_until_date' and
segment_id = (select segment_id  from FCM_SEGMENT_DEFINITION  where 
segment_acronym = 'GRP');

update fcm_field_definition set field_name = 'grp_sys_block_1_until_time'
where field_name = 'gro_sys_block_1_until_time' and
segment_id = (select segment_id  from FCM_SEGMENT_DEFINITION  where 
segment_acronym = 'GRP');

update fcm_field_definition set field_name = 'grp_sys_block_2_until_time'
where field_name = 'gro_sys_block_2_until_time' and
segment_id = (select segment_id  from FCM_SEGMENT_DEFINITION  where 
segment_acronym = 'GRP');

update fcm_field_definition set field_visible_ind = '0'
where segment_id in (select segment_id  from FCM_SEGMENT_DEFINITION  where 
segment_acronym in ('GRP','CMX'));


update fcm_grid_field set grid_field_name = 'grp_sys_block_1_until_date'
where grid_field_name = 'gro_sys_block_1_until_date' and
grid_segment_id = (select segment_id  from FCM_SEGMENT_DEFINITION  where 
segment_acronym = 'GRP');

update fcm_grid_field set grid_field_name = 'grp_sys_block_2_until_date'
where grid_field_name = 'gro_sys_block_2_until_date' and
grid_segment_id = (select segment_id  from FCM_SEGMENT_DEFINITION  where 
segment_acronym = 'GRP');

update fcm_grid_field set grid_field_name = 'grp_sys_block_1_until_time'
where grid_field_name = 'gro_sys_block_1_until_time' and
grid_segment_id = (select segment_id  from FCM_SEGMENT_DEFINITION  where 
segment_acronym = 'GRP');

update fcm_grid_field set grid_field_name = 'grp_sys_block_2_until_time'
where grid_field_name = 'gro_sys_block_2_until_time' and
grid_segment_id = (select segment_id  from FCM_SEGMENT_DEFINITION  where 
segment_acronym = 'GRP');

delete from fcm_grid_tmplt_field_cfg where grid_field_id in (select field_id from fcm_field_definition where field_visible_ind = '0');




---------------------------------------------------------------------------------
-- insert Hotfix DDL Version 
---------------------------------------------------------------------------------
insert into fcm_version(VERSION_NAME , VERSION_NUM , VERSION_DATE , VERSION_DESC, VERSION_COMPONENT) VALUES
('Base DDL', '3.1.0.2 ', current date, '3.1.0.2 Hofix DDL', 'DDL')
;
	
